import { Module } from "@nestjs/common";
import { AuthController } from "./auth.controller";
import { AuthService } from "./auth.service";
import { DbModule } from 'apps/backend/src/app/db/db.module';
import { CredentialsModule } from 'apps/backend/src/app/credentials/credentials.module';
import { CredentialsService } from 'apps/backend/src/app/credentials/credentials.service';
import { AdminGuard, UserGuard } from 'apps/backend/src/app/auth/auth.guard';

@Module({
  imports: [DbModule, CredentialsModule],
  providers: [AuthService, CredentialsService, AdminGuard, UserGuard],
  controllers: [AuthController],
})
export class AuthModule {}
