import {
  Tabs,
  TabsContent,
  TabsList,
  TabsTrigger,
} from '../components/ui/tabs';
import { Cog, FilePlus2, FolderClosed, Info } from 'lucide-react';


export default function HomePage() {
  return (
    <main className="container w-full h-5/6 bg-background border border-muted p-2 rounded-md flex flex-col justify-stretch items-stretch">
      <Tabs defaultValue="list" className="w-full h-full">
        <TabsList className={"w-full text-xl text-secondary dark:text-primary bg-card"}>
          <TabsTrigger className={"gap-2 m-2"} value="list"><FolderClosed className={"w-5"}/> <p>Liste des fichiers</p></TabsTrigger>
          <TabsTrigger className={"gap-2 m-2"} value="new"><FilePlus2 className={"w-5"} /> <p>Ajouter un fichier</p></TabsTrigger>
          <TabsTrigger className={"gap-2 m-2"} value="admin" disabled><Cog className={"w-5"} /> <p>Administration</p></TabsTrigger>
          <TabsTrigger className={"gap-2 m-2"} value="info"><Info className={"w-5"} /> <p>Informations</p></TabsTrigger>
        </TabsList>
        <TabsContent className={"overflow-auto"} value="list">
          Liste des fichiers
        </TabsContent>
        <TabsContent className={"overflow-auto"} value="new">
          Ajouter un nouveau fichier
        </TabsContent>
        <TabsContent className={"overflow-auto"} value="admin">
          Administration
        </TabsContent>
        <TabsContent className={"overflow-auto"} value="info">
          Information
        </TabsContent>
      </Tabs>

    </main>
  );
}
